package rip.tilly.bedwars.commands.setspawn;

import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;
import rip.tilly.bedwars.BedWars;
import rip.tilly.bedwars.utils.CC;

public class SetSpawnCommand implements CommandExecutor {

    private BedWars main = BedWars.getInstance();

    public boolean onCommand(CommandSender sender, Command cmd, String label, String[] args) {
        Player player = (Player) sender;

        if (!player.hasPermission("bedwars.admin")) {
            player.sendMessage(CC.translate("&cNo permission"));

            return true;
        }

        if (args.length == 0) {
            player.sendMessage(CC.translate("&cUsage:"));
            player.sendMessage(CC.translate("  &c/setspawn spawn"));
            player.sendMessage(CC.translate("  &c/setspawn holograms"));
        } else {
            switch (args[0]) {
                case "spawn":
                    new SpawnCommand().executeAs(sender, cmd, label, args);

                    break;
                case "holograms":
                    break;
            }
        }

        return true;
    }
}
